package com.ruoyi.system.domain.fgw;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 发改委_附件对象 fgw_fj
 * 
 * @author boman
 * @date 2023-03-22
 */
public class FgwFj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 项目ID */
    @Excel(name = "项目ID")
    private Long xmId;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String xmbh;

    /** 附件名称 */
    @Excel(name = "附件名称")
    private String fjName;
    /**
     * 目标数据源id
     */
    private Long sourceId;

    /** 附件地址 */
    @Excel(name = "附件地址")
    private String path;

    /** 附件类型 1: 节能审查 2: 用地预审与选址意见书 3:核准/备案 4:建议书批复 5:可研批复 6:初步设计批复 7:环境影响评价 8:生态红线不可避让论证 9: 建设用地规划许可证 10:建设工程规划许可证 11:农用地转用和土地征收批复 12:划拨决定书 13:土地出让合同 14:不动产权证 15: 工程招投标 16: 施工许可证 17: 竣工资料 18:进展情况  */
    @Excel(name = "附件类型 1: 节能审查 2: 用地预审与选址意见书 3:核准/备案 4:建议书批复 5:可研批复 6:初步设计批复 7:环境影响评价 8:生态红线不可避让论证 9: 建设用地规划许可证 10:建设工程规划许可证 11:农用地转用和土地征收批复 12:划拨决定书 13:土地出让合同 14:不动产权证 15: 工程招投标 16: 施工许可证 17: 竣工资料 18:进展情况 ")
    private String type;
    /**
     * 是否审核
     */
    private String isSh;

    public String getIsSh() {
        return isSh;
    }

    public void setIsSh(String isSh) {
        this.isSh = isSh;
    }

    public Long getSourceId() {
        return sourceId;
    }

    public void setSourceId(Long sourceId) {
        this.sourceId = sourceId;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setXmId(Long xmId) 
    {
        this.xmId = xmId;
    }

    public Long getXmId() 
    {
        return xmId;
    }
    public void setXmbh(String xmbh) 
    {
        this.xmbh = xmbh;
    }

    public String getXmbh() 
    {
        return xmbh;
    }
    public void setFjName(String fjName) 
    {
        this.fjName = fjName;
    }

    public String getFjName() 
    {
        return fjName;
    }
    public void setPath(String path) 
    {
        this.path = path;
    }

    public String getPath() 
    {
        return path;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("xmId", getXmId())
            .append("xmbh", getXmbh())
            .append("fjName", getFjName())
            .append("path", getPath())
            .append("type", getType())
            .append("remark", getRemark())
            .toString();
    }
}
